:root {
    --ff-mono: "JetBrains Mono", Courier, monospace;
    --ff: "Google Sans", Arial, Helvetica, sans-serif;
    --ztc-family-font1: "Google Sans", Arial, Helvetica, sans-serif;
    --card-border: #e0e0e0;
    --b-radius: 16px;
    --body-bg: #f4f4f4;
    --hover-bg-color: rgba(57, 22, 255, 0.05);
    --bs-border-color: var(--card-border);
    --shimmer-bg: #f1f1f1;
    --shimmer-after-bg: linear-gradient(90deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, .6) 50%,
            rgba(255, 255, 255, 0) 100%);

    overflow-x: hidden;

}

body {
    margin: 0;
    font-family: var(--bs-body-font-family);
    font-size: var(--bs-body-font-size);
    font-weight: var(--bs-body-font-weight);
    line-height: var(--bs-body-line-height);
    color: var(--bs-body-color);
    text-align: var(--bs-body-text-align);
    background-color: var(--body-bg);

    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(47, 43, 61, 0);
}

.soal-row iframe {
    max-width: 100%;
    height: 285px;
}

#jam-today {
    min-width: 170px;
    font-size: .9rem;
    font-weight: 500;

    line-height: 1.15;
}

.pin-wrap {
    display: flex;
    gap: 5px;
    justify-content: center;
    align-items: center;
    margin: 14px 0 10px;
}

.pin {
    width: 40px;
    height: 60px;
    border: 2px solid #1f1f1f;
    border-radius: 8px;
    text-align: center;
    font-size: 17px;
    font-weight: 700;
    outline: none;
    -webkit-tap-highlight-color: transparent;
    caret-color: transparent;
}

.pin:focus {
    border-color: var(--bs-primary);
    box-shadow: 0 0 0 4px rgba(63, 59, 139, 0.15);
}








.detail-ujian {
    min-width: 220px;
}

table.table.dataTable.table-striped>tbody>tr:nth-of-type(2n+1).selected>* {

    box-shadow: inset 0 0 0 9999px rgba(0, 104, 255, .15);
}

.apexcharts-datalabel,
.apexcharts-datalabel-label,
.apexcharts-datalabel-value {

    fill: var(--bs-body-color);
}

.apexcharts-legend-text {

    color: var(--bs-body-color) !important;
}

.swal2-container .swal2-popup .swal2-title {

    font-size: 1.3rem !important;
    max-inline-size: inherit !important;

}

div:where(.swal2-container) .swal2-html-container {
    font-size: var(--bs-body-font-size);
    padding: .5rem 1.6em 0.3em;

}

.swal2-container .swal2-modal.swal2-popup {

    border-radius: var(--b-radius) !important;
}

.soal-list-abs {
    position: fixed;
    right: -35px;
    top: 40%;
    transform: rotate(90deg);
    transform-origin: center;
    z-index: 5;
}

.soal-list-abs button {
    border-top-right-radius: 0;
    border-top-left-radius: 0;
    border-bottom-right-radius: 8px;
    border-bottom-left-radius: 8px;
}

#tblPrevSoal img {
    height: 120px;
    width: 120px;
    object-fit: cover;
    border-radius: var(--b-radius);
}

.dd-table .dropdown-item {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;

}

.dd-table .dropdown-item.disabled {
    color: var(--bs-dropdown-link-disabled-color) !important;
    pointer-events: none;
    background-color: transparent;
}


/* Biar dropdown tidak terpotong */
.dataTables_scrollBody {
    position: static !important;
}

/* Pastikan dropdown di atas semua */
.dd-table .dropdown-menu {
    z-index: 9999 !important;
}

.soal-guru {
    list-style: none;
    margin: 0;
    padding: 0;
}

.soal-guru li {
    color: var(--bs-body-color);
    list-style: none;
    border: 1px solid var(--card-border);
    user-select: none;
    cursor: pointer;
    padding: 15px 20px;
    border-radius: var(--b-radius);
    margin-bottom: 5px;
}

.soal-guru li a {
    color: var(--bs-body-color);

}

.soal-guru li.active {
    background-color: var(--hover-bg-color);


}

.soal-guru li:hover {
    background-color: var(--hover-bg-color);


}

.soal-guru-list .nomor {
    min-width: 40px;
    max-width: 40px;
    flex: 0 0 auto;
}


.soal-guru li:last-child {}

.ofy-box {
    max-height: 385px;
    padding: 15px 0;
    overflow-y: auto;
}

#ujian_mendatang_list li {
    padding: 15px 0;
    border-bottom: 1px solid var(--card-border);
}

#ujian_mendatang_list li:first-child {
    padding-top: 0
}

#ujian_mendatang_list li:last-child {
    padding-bottom: 0;
    border-bottom: 0 !important;
}

.rounded {
    border-radius: var(--b-radius) !important
}

.list-group {

    border-radius: var(--b-radius);
}



.list-group-item:first-child {
    border-top-left-radius: var(--b-radius);
    border-top-right-radius: var(--b-radius);
}

#soalText {
    font-size: 1rem;
}

#opsiList.list-group {
    margin-top: 1rem;
    background-color: var(--bs-paper-bg);
}


.opsi-picked {
    background: rgba(105, 91, 255, 0.138) !important;
}

.soal-abjad {
    width: 27px;
    height: 27px;
    flex: 0 0 auto;
}

.nomor-soal {
    font-size: 1rem;
    font-weight: 600;
    min-width: 1rem;
    margin-right: 1rem;
}

.soal-row-title {
    display: flex;
    flex-wrap: nowrap;
}

.soal-nav {
    list-style: none;
    padding: 0;
    margin: 0;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 5px;


}

.soal-nav .soal-list {
    height: 42px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--b-radius);
    font-size: 14px;
    font-weight: 700;
    user-select: none;
    cursor: pointer;
    color: #fff;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
}

.soal-belum {
    background-color: var(--bs-danger);

}

.soal-done {
    background-color: var(--bs-success);

}

.soal-active {
    background-color: var(--bs-warning);

}

.soal-nav .soal-list:hover {
    filter: brightness(0.95);
}



.shimmer {
    position: relative;
    overflow: hidden;
    background: var(--shimmer-bg);
    height: 30px;
    border-radius: 50px;
}

.shimmer::after {
    content: '';
    position: absolute;
    inset: 0;
    transform: translateX(-100%);
    background: var(--shimmer-after-bg);
    animation: shimmer 1.2s infinite;
}




@keyframes shimmer {
    100% {
        transform: translateX(100%);
    }
}


.ujian-aktif-timeline li.timeline-item .timeline-content-box {
    background: linear-gradient(325deg, rgba(0, 255, 234, 0.074) 0%, rgba(64, 118, 255, 0.13) 100%);
    border: 0 !important;
    padding: 16px !important
}

.ujian-timer {
    min-width: 120px;
}

.ujian-timer .ujian-timer-box span {
    font-size: 22px;
    font-weight: 800;
    color: var(--bs-primary);
}




.card {
    box-shadow: none;
}

.card-border {
    border: 1px solid var(--card-border);
}

.layout-navbar-full.layout-horizontal .layout-navbar {

    box-shadow: 0 1px 0 var(--card-border);
}

.table> :not(caption)>*>* {
    padding: 0.35rem 1.25rem;

}

div.dt-container table.dataTable.table tbody>tr.selected a,
div.dt-container table.dataTable.table tbody>tr>.selected a {
    color: initial;
}

.table> :not(caption)>*>* {

    border-color: var(--card-border);
}

.table-details td {
    border: 0;
    width: 25%;
    vertical-align: top;
}

.table-details table {
    min-width: 640px;
}


.ujian-today-box img {
    height: 150px;
    width: auto;
}

.ujian-today-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 40px;
}

.modal .modal-footer {
    border-top: 1px solid var(--card-border);
    padding-top: 1rem !important;
    background-color: #f9f9f9;
    margin-top: .5rem;
}

.nav-align-top .nav-tabs,
.modal-header {
    border-top-left-radius: var(--b-radius) !important;
    border-top-right-radius: var(--b-radius) !important;
}

.nav-align-top .tab-content,
.modal-footer {

    border-bottom-right-radius: var(--b-radius) !important;
    border-bottom-left-radius: var(--b-radius) !important;
}


.nav-align-top:has(.nav-tabs),
.nav-align-right:has(.nav-tabs),
.nav-align-bottom:has(.nav-tabs),
.nav-align-left:has(.nav-tabs),
.modal-content,
.card {
    border-radius: var(--b-radius) !important;
}

.table-soal-item img {
    width: 100px;
    height: auto;
}

.swal2-container .swal2-popup .swal2-title {
    max-inline-size: none;
    font-size: 1.85rem;
    font-weight: 600;
}


.mw-200 {
    max-width: 200px;
}

.page-button {

    display: flex;
    flex-flow: wrap;
    align-items: center;
    justify-content: end;

}

.page-button .btn {

    margin: .2rem !important
}

.card-siswa-dark * {
    color: #fff;
}

.card-siswa-dark input * {
    color: #fff;
}

.card-siswa-dark input {
    border: 2px solid #fff !important;
    color: #fff !important;
    font-size: 26px;
    font-weight: 800 !important;
    height: 60px !important;
    text-align: center;
}


.siswa-col {
    display: flex;
    flex-wrap: wrap;
}

.siswa-col .siswa-col-photo {
    width: 40%;
    text-align: center;
}

.siswa-col .siswa-col-content {
    width: 60%;
}


.siswa-col .siswa-col-photo img {
    height: 240px;
    max-width: 200px;
    object-fit: cover;
    border-radius: var(--b-radius);
}

.siswa-col-content {
    padding-left: 1rem;
}

.note-editing-area img {
    max-width: 100% !important;
    height: auto;
}

.note-editable ol li,
.note-editable ul li {
    list-style-position: inherit !important;
}



.hover-underline:hover {
    text-decoration: underline;
}




.input-group.input-group-gvnn .input-group-text {
    background: var(--bs-gray-100);
}

.modal.note-modal .modal-title {
    font-size: 1.2rem;
    font-weight: 600;
}

.note-form-group.note-group-select-from-files label {
    display: none !important;
}

.note-form-group.note-group-select-from-files {
    margin-bottom: 15px !important;
}

.note-editor .note-toolbar .note-color .dropdown-toggle,
.note-popover .popover-content .note-color .dropdown-toggle {
    padding-left: 0 !important;
    width: 28px !important;
    padding-right: 0;
}

.note-editor.note-airframe.fullscreen,
.note-editor.note-frame.fullscreen {

    z-index: 1091 !important;
}


.drag-content .remove {
    right: 0;
    top: 0;
}

.checkbox-of {
    max-height: 200px;
    overflow: auto;
    border: 1px solid var(--card-border);
    border-radius: 8px;
    padding: 15px;
}



.chart-box {
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
}

.accordion-item {
    border: var(--bs-accordion-border-width) solid var(--card-border);
}


.card {
    border: 1px solid var(--card-border);
}

.layout-navbar-fixed .layout-navbar.navbar-detached {
    border: 1px solid var(--card-border);
}

.info-list {
    list-style: none;
    padding-left: 0;
}

.info-list li {
    margin-bottom: 10px;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--card-border);
}

.info-list li:last-child {
    margin-bottom: 10px;
    padding-bottom: 0;
    border-bottom: 0 !important;
}

.info-list p {
    margin-bottom: 0;
}


.info-list h6 {
    margin-bottom: 5px;
    font-weight: 600;
}

.info-list-label {
    margin-bottom: 0;
    font-weight: 600;
}

.note-editor.note-airframe,
.note-editor.note-frame {
    border: 1px solid var(--card-border) !important;
    box-shadow: none;
}

.note-editor .note-dropdown-menu.dropdown-menu.show,
.note-editor .note-editor .note-toolbar .note-btn-group .note-table,
.note-editor .note-popover .popover-content .note-btn-group .note-table {
    top: 35px;
}

.note-editor .note-editable p {
    margin-bottom: 5px;
}

.note-editor .note-form-group.note-group-select-from-files {
    margin-bottom: 1.2rem;
    display: flex;
    flex-direction: column;
}

.note-editor .note-form-group.note-group-select-from-files label {
    display: none !important;
}

.note-editor .note-editing-area .table-bordered> :not(caption)>*>* {
    border-width: 1px;
}

.note-editor .note-btn-group .note-btn {
    border-color: var(--card-border);
    font-size: 13px;
    background: #f0f1f7;
}

.note-editor .note-btn i {
    color: var(--bs-heading-color);
}

.note-editor .note-toolbar {
    background: transparent !important;
}



.gvnn-loader-box {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 50px;
    padding-bottom: 80px;
    width: 100%;
    text-align: center;
}

.gvnn-loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 4px solid #262626;
    border-right: 4px solid transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

.gvnn-loader::after {
    content: "";
    box-sizing: border-box;
    position: absolute;
    left: 0;
    top: 0;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border-left: 4px solid #ff3d00;
    border-bottom: 4px solid transparent;
    animation: rotation 0.5s linear infinite reverse;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.authentication-wrapper.authentication-basic .authentication-inner::after,
.authentication-wrapper.authentication-basic .authentication-inner::before {
    display: none !important;
}

.log-pf span:after {
    content: "•";
    margin: 0 3px;
}

.log-pf span:last-child:after {
    display: none;
}

.log-pf {
    display: flex;
    flex-wrap: nowrap;
    white-space: nowrap;
}

.cm-s-material.CodeMirror {
    border-radius: 8px;
}

.o-cover {
    object-fit: cover;
}

.required:after {
    content: " *";
    color: red;
}

.app-brand {
    padding-top: 5px;
}

.app-brand-logo img {
    max-height: 42px;
}

.tvt-content-header {
    margin-bottom: 25px;
}

table .photo-upload {
    height: 48px;
    width: 48px;
    border-radius: 50%;
    object-fit: cover;
}

.table-striped>tbody>tr:nth-of-type(even)>* {
    /* --bs-table-color-type: #2a00ff; */
    --bs-table-bg-type: var(--bs-paper-bg);
}

div.dt-container div.dt-paging ul.pagination {
    float: right;
}

.tvt-btn-group {
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    float: right;
}

.tvt-btn-group .btn {
    margin-left: 4px;
    color: #fff !important;
}

.dropify-wrapper {
    border: 1px solid var(--card-border) !important;
}

.dropify-wrapper .dropify-message p {
    font-size: 0.9rem;
}

.dropify-wrapper,
.dropify-wrapper .dropify-clear {
    font-family: var(--ff);
}

.dropify-wrapper {
    color: var(--bs-body-color);
    height: 130px !important;
    border: var(--bs-border-width) solid color-mix(in sRGB, var(--bs-base-color) 22%, var(--bs-paper-bg));
    border-radius: var(--bs-border-radius);
    background-color: var(--bs-paper-bg);
}

.dropify-wrapper .dropify-preview {
    background-color: var(--bs-paper-bg);
}

.form-label,
.col-form-label {
    font-weight: 500;
}

.auth-logo img {
    max-height: 80px;
}


.meta-time {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
    margin-bottom: 15px;
    font-size: .8rem;
}

.meta-time .meta-text {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
}

.kelas-card-list .listbox.kelas-running {
    border: 1px solid rgba(255, 0, 0, 0.284) !important;
    background-color: rgba(255, 0, 0, 0.075) !important
}

.kelas-card-list .listbox:hover {

    background-color: rgba(159, 185, 255, 0.07);

}

.kelas-card-list .listbox {
    padding: 15px 25px;
    border: 1px solid var(--card-border);
    border-radius: var(--b-radius);
}



.kelas-running-tt {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 10px;
    margin: 10px 0;
}


.kelas-running-tt li {
    border: 1px solid var(--card-border);
    padding: 1rem 1.5rem;
    border-radius: var(--b-radius);
}

.pin-input input,
.pin-input {
    text-align: center;

}

.menu.menu-horizontal .menu-inner>.menu-item .menu-sub {

    box-shadow: 0 0 0 1px var(--card-border);
}


@media (min-width: 768px) {
    .gvnn-nav-left .nav-tabs {
        width: 230px !important;
        min-width: 230px;
    }


    .pin-input {

        max-width: 200px;
        margin: 0 auto;
    }

}

@media (max-width: 575.98px) {
    #jam-today {
        min-width: 150px;
        font-size: .8rem;
    }

    .meta-time {

        gap: 0;

    }
}





@media (min-width: 1200px) {
    .layout-horizontal .layout-page .menu-horizontal {
        box-shadow: 0 0 0 1px var(--card-border);
    }

    .soal-nav {

        grid-template-columns: repeat(6, 1fr);



    }

    .menu-toggle::after,
    .menu-icon {

        block-size: 1.1rem;
        font-size: 1.1rem;
        inline-size: 1.1rem;

    }

    .menu-horizontal .menu-item .menu-link {

        font-size: .9rem;
    }

    .pin {
        width: 55px;
        height: 70px;

        border-radius: 15px;
        text-align: center;
        font-size: 22px;

    }


}


@media (max-width: 1199.98px) {
    .siswa-col .siswa-col-photo {
        width: 100%;
        margin-bottom: 1rem;
    }

    .siswa-col .siswa-col-content {
        width: 100%;
    }
}